Symbol & price info (derivative)
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/derivatives \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/derivatives"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/derivatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"data[].symbol": "<string>",
"data[].ceilPrice": 123,
"data[].floorPrice": 123,
"data[].refPrice": 123,
"data[].bidPrice01": 123,
"data[].bidQtty01": 123,
"data[].offerPrice01": 123,
"data[].offerQtty01": 123,
"data[].matchPrice": 123,
"data[].matchQtty": 123,
"data[].change": 123,
"data[].changePercent": 123,
"data[].totalVol": 123,
"data[].openVol": 123,
"data[].expiryDate": "<string>"
}API Reference
Symbol & price info (derivative)
Get derivative market symbol and price information.
GET
/
tartarus
/
v1
/
derivatives
Symbol & price info (derivative)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful response
List of derivative contracts.
Contract symbol.
Ceiling price.
Floor price.
Reference price.
Bid price 1.
Bid volume 1.
Offer price 1.
Offer volume 1.
Matched price.
Matched volume.
Price change.
Change percent.
Total volume.
Open interest.
Expiry date.